Bug 221520 - Differentiate between color spaces used to tag colors and color spaces used to tag destinations
Summary: Differentiate between color spaces used to tag colors and color spaces used t...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sam Weinig
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-02-06 10:52 PST by Sam Weinig
Modified: 2021-02-10 14:37 PST (History)
20 users (show)

See Also:


Attachments
Patch (102.40 KB, patch)
2021-02-06 11:03 PST, Sam Weinig
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (102.40 KB, patch)
2021-02-06 11:12 PST, Sam Weinig
no flags Details | Formatted Diff | Diff
Patch (102.41 KB, patch)
2021-02-06 19:01 PST, Sam Weinig
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (103.13 KB, patch)
2021-02-06 19:23 PST, Sam Weinig
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sam Weinig 2021-02-06 10:52:01 PST Comment hidden (obsolete)
Comment 1 Sam Weinig 2021-02-06 10:54:13 PST
These two sets, color tagging (input) and destination tagging (output) have a lot of overlap, it doesn't really make sense for them to use the same enum, as the set we support for one is not the same as the other.

Right now, we only ever really use ColorSpace::SRGB and ColorSpace::LinearRGB for destinations, so we should restrict that down.
Comment 2 Sam Weinig 2021-02-06 11:03:37 PST Comment hidden (obsolete)
Comment 3 Sam Weinig 2021-02-06 11:12:11 PST Comment hidden (obsolete)
Comment 4 Sam Weinig 2021-02-06 19:01:13 PST Comment hidden (obsolete)
Comment 5 Sam Weinig 2021-02-06 19:23:27 PST
Created attachment 419519 [details]
Patch
Comment 6 EWS 2021-02-07 11:27:42 PST
Committed r272475: <https://commits.webkit.org/r272475>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 419519 [details].
Comment 7 Radar WebKit Bug Importer 2021-02-10 14:37:13 PST
<rdar://problem/74206831>